### Function

# FwupdPlugin byte_array_to_string

since: 1.8.9

#### Declaration [src]

    gchar*
    fu_byte_array_to_string (
      GByteArray* array
    )

#### Description [src]

Converts the byte array to a lowercase hex string.

Available since: 1.8.9

#### Parameters

`array`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A string, which may be zero length.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.